---
- name: Playbook to handle hosts
  hosts: ipaserver
  become: true

  tasks:
  - name: Disable host host01.example.com
    ipahost:
      ipaadmin_password: SomeADMINpassword
      name: host01.example.com
      state: disabled
